Page MenuHomePhabricator

JS things (like VE) fail to load if site's JS is broken (bypassable in debug mode)
Closed, ResolvedPublic

Description

he.wiki's js broke in T145967, the issue was local, but it showed a real issue in ve, it should not fail to load is the site's js is broken.

Details

Related Gerrit Patches:

Related Objects

Event Timeline

Matanya created this task.Sep 18 2016, 12:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 18 2016, 12:18 PM
matmarex added a subscriber: Krinkle.

VE does everything correctly, as far as I can see, I think this is a bug in ResourceLoader.

To reproduce: edit "MediaWiki:Group-user.js" on your wiki to cause an exception when it's executed (e.g. derp();), then try loading VE on any page in non-debug mode.

Running mw.loader.getState( 'user' ) in browser console returns "executing". That is very wrong. Presumably, in VE's code mw.loader.using( [ 'user', 'site' ] ) just waits forever, and the editor never loads.

Change 311329 had a related patch set uploaded (by Bartosz Dziewoński):
Correct error handling for exceptions in 'user' module

https://gerrit.wikimedia.org/r/311329

Jdforrester-WMF renamed this task from VE fails to load if site's js is broken, but only when not using debug mode to JS things (like VE) fail to load if site's JS is broken (bypassable in debug mode).Sep 19 2016, 5:41 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

I'd have thought that this was already a task, but I can't find it.

It was broken and fixed at least once in the past, but I can't find the task either.

Hmm, the current description is not correct though. This only affects JS things that depend on the 'user' module.

Change 311329 merged by Bartosz Dziewoński:
Correct error handling for exceptions in 'user' module

https://gerrit.wikimedia.org/r/311329

matmarex closed this task as Resolved.Sep 23 2016, 8:26 PM
matmarex claimed this task.
matmarex removed a project: Patch-For-Review.